net.sf.jasperreports.charts.type

## Enum MeterShapeEnum

- java.lang.Object
- - java.lang.Enum<MeterShapeEnum>
  - - net.sf.jasperreports.charts.type.MeterShapeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MeterShapeEnum>, JREnum, NamedEnum

      public enum MeterShapeEnum
      extends java.lang.Enum<MeterShapeEnum>
      implements JREnum

  Version:
    $Id: MeterShapeEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHORD` The portion of the circle described by the Meter that is not occupied by the Meter is drawn as a chord.
    `CIRCLE` The portion of the circle described by the Meter that is not occupied by the Meter is drawn as a circle.
    `DIAL` The portion of the circle described by the Meter that is not occupied by the Meter is drawn as a circle, and handled with specific dial objects.
    `PIE` The portion of the circle described by the Meter that is not occupied by the Meter is not drawn.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MeterShapeEnum` | `getByName(java.lang.String name)`
    `static MeterShapeEnum` | `getByValue(byte value)`
    `static MeterShapeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static MeterShapeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MeterShapeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHORD

          public static final MeterShapeEnum CHORD

      The portion of the circle described by the Meter that is not occupied by the Meter is drawn as a chord. (A straight line connects the ends.)

    - #### CIRCLE

          public static final MeterShapeEnum CIRCLE

      The portion of the circle described by the Meter that is not occupied by the Meter is drawn as a circle.

    - #### PIE

          public static final MeterShapeEnum PIE

      The portion of the circle described by the Meter that is not occupied by the Meter is not drawn.

    - #### DIAL

          public static final MeterShapeEnum DIAL

      The portion of the circle described by the Meter that is not occupied by the Meter is drawn as a circle, and handled with specific dial objects.

  - ### Method Detail

    - #### values

          public static MeterShapeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeterShapeEnum c : MeterShapeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeterShapeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static MeterShapeEnum getByName(java.lang.String name)

    - #### getByValue

          public static MeterShapeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static MeterShapeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com